/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2025 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define SPI1_LED_Pin GPIO_PIN_4
#define SPI1_LED_GPIO_Port GPIOA
#define SPI1_DC_Pin GPIO_PIN_0
#define SPI1_DC_GPIO_Port GPIOB
#define SPI1_CS_Pin GPIO_PIN_1
#define SPI1_CS_GPIO_Port GPIOB
#define SP1_RESET_Pin GPIO_PIN_2
#define SP1_RESET_GPIO_Port GPIOB
#define SPI2_CS_Pin GPIO_PIN_12
#define SPI2_CS_GPIO_Port GPIOB
#define SPEAK_Pin GPIO_PIN_13
#define SPEAK_GPIO_Port GPIOB
#define BTN_T_Pin GPIO_PIN_9
#define BTN_T_GPIO_Port GPIOA
#define BTN_T_EXTI_IRQn EXTI9_5_IRQn
#define BTN__Pin GPIO_PIN_10
#define BTN__GPIO_Port GPIOA
#define BTN__EXTI_IRQn EXTI15_10_IRQn
#define BTN_A11_Pin GPIO_PIN_11
#define BTN_A11_GPIO_Port GPIOA
#define BTN_A11_EXTI_IRQn EXTI15_10_IRQn
#define BTN_S_S_Pin GPIO_PIN_12
#define BTN_S_S_GPIO_Port GPIOA
#define BTN_S_S_EXTI_IRQn EXTI15_10_IRQn

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
